Subject: Re: Walkaround of Mars Rover at the National Air and Space Museum
From: "Steve Bamford ARC" <[email-masked]>
To: "Justin Davenport" <[email-masked]>
Date: Sun, 4 Jul 2004 00:43:01 -0700

Steve Bamford
Aircraft Resource Center
http://www.aircraftresourcecenter.com
 
Live like there is no tomorrow;
Love like you've never been hurt.
Work like you don't need the money.
Dance like nobody's watching.
Sing like nobody's listening.
Live like it's Heaven on Earth.

  ----- Original Message ----- 
  From: Justin Davenport 
  To: ARC Discussion Forums 
  Sent: Sunday, May 23, 2004 11:49 PM
  Subject: Walkaround of Mars Rover at the National Air and Space Museum

  hi Steve

  I got back from Washington D.C. a couple of weeks ago and visited the National Air and Space Museum - I took LOTS of pics with my new 3.2 MP camera.  (Fuji S3000).  I've decided to send some pictures of a full size Mars Rover model built by the students at Cornell University, where many of the project's scientists are.  This model is on display in a section dedicated to space probes at the main museum on the National Mall.

  regards, Justin

  Mars Exploration Rover

  These photos were taken by Justin Davenport 

  (click on the image below to load the full size photo)

  (use your back button to return to this page after viewing full size photo)

  Photos directly below were taken at the National Air and Space Museum in downtown Washington D.C. on May 6, 2004.

          
        1  2 3 4 

  Photos and text © 2004 by Justin Davenport